extends Node2D

onready var Player = get_node('KinematicPlayer')

var PositionToggle = false
var CurrentScene = null

func do_scene_change(new_scene):
	if CurrentScene != null:
		self.remove_child(CurrentScene)
		CurrentScene.queue_free()
		CurrentScene = null
		
	CurrentScene = new_scene
	
	self.add_child(CurrentScene)
	
func initialize_scene(scene_path, move_player):
	
	var scene_type = load(scene_path)
	if scene_type == null:
		print('Unable to find scene ', scene_path)
		return
	
	var scene =  scene_type.instance()
	
	if move_player:
		move_player()
	
	print('Changing scene to ', scene_path)
	do_scene_change(scene)

func _ready():
	initialize_scene('res://Room2.tscn', false)
	
func move_player():
	# Keeping the player still does not trigger it, let's move the player back and forth
	# It's also possible that the problem is only moving the player between scenes
	if PositionToggle:
		Player.position = Vector2(-100.0, -100.0)
	else:
		Player.position = Vector2(100.0, 100.0)
		
	PositionToggle = not PositionToggle
	
	print('Player moved to ', Player.position)

func _process(delta):
	if Input.is_action_just_pressed('room_2'):
		initialize_scene('res://Room2.tscn', false)
	elif Input.is_action_just_pressed('room_2_and_move'):
		initialize_scene('res://Room2.tscn', true)
	elif Input.is_action_just_pressed('position_toggle'):
		move_player()
